This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 955913 - Review Request: nsnake - Classic snake game on console
Review Request: nsnake - Classic snake game on console
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-24 00:54 EDT by Christopher Meng
Modified: 2013-05-25 08:15 EDT (History)
4 users (show)

See Also:
Fixed In Version: nsnake-1.7-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-24 16:34:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-04-24 00:54:22 EDT
Spec URL: http://cicku.me/nsnake.spec
SRPM URL: http://cicku.me/nsnake-1.5-1.fc20.i686.rpm
Description: nSnake is a implementation of the classic snake game with textual interface.
It is playable at command-line and uses the nCurses C library for graphics.
Fedora Account System Username: cicku
Comment 1 Christopher Meng 2013-04-25 05:47:38 EDT
SOrry I've pasted an incorrect URL

Spec URL: http://cicku.me/nsnake.spec
SRPM URL: http://cicku.me/nsnake-1.5-1.fc20.src.rpm
Comment 2 Christopher Meng 2013-04-30 02:24:03 EDT
Koji success:


http://koji.fedoraproject.org/koji/taskinfo?taskID=5316746
Comment 3 Jon Ciesla 2013-05-10 08:43:42 EDT
Initial rpmlint stuff:

nsnake.x86_64: E: setuid-binary /usr/bin/nsnake root 04755L
The file is setuid; this may be dangerous, especially if this file is setuid
root. Sometimes file capabilities can be used instead of setuid bits.

nsnake.x86_64: E: non-standard-executable-perm /usr/bin/nsnake 04755L
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

nsnake.x86_64: W: spurious-executable-perm /usr/share/man/man6/nsnake.6.gz
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

nsnake.x86_64: W: manual-page-warning /usr/share/man/man6/nsnake.6.gz 1: warning: macro `"' not defined
This man page may contain problems that can cause it not to be formatted as
intended.

nsnake.x86_64: W: manual-page-warning /usr/share/man/man6/nsnake.6.gz 5: warning: macro `"----------------------------------' not defined
This man page may contain problems that can cause it not to be formatted as
intended.

nsnake.x86_64: W: manual-page-warning /usr/share/man/man6/nsnake.6.gz 9: warning: macro `"--------------------------------' not defined
This man page may contain problems that can cause it not to be formatted as
intended.

nsnake.x86_64: W: manual-page-warning /usr/share/man/man6/nsnake.6.gz 17: warning: macro `"-------------------------------' not defined
This man page may contain problems that can cause it not to be formatted as
intended.

nsnake.x86_64: W: manual-page-warning /usr/share/man/man6/nsnake.6.gz 44: warning: macro `"---------------------------------' not defined
This man page may contain problems that can cause it not to be formatted as
intended.

nsnake.x86_64: W: manual-page-warning /usr/share/man/man6/nsnake.6.gz 63: warning: macro `"-----------------------------------' not defined
This man page may contain problems that can cause it not to be formatted as
intended.

nsnake-debuginfo.x86_64: E: debuginfo-without-sources
This debuginfo package appears to contain debug symbols but no source files.
This is often a sign of binaries being unexpectedly stripped too early during
the build, or being compiled without compiler debug flags (which again often
is a sign of distro's default compiler flags ignored which might have security
consequences), or other compiler flags which result in rpmbuild's debuginfo
extraction not working as expected.  Verify that the binaries are not
unexpectedly stripped and that the intended compiler flags are used.


These should all be fixed. You should be able to patch out the strip during build, and there's no reason for this to be setuid.  Also, you might consider running make dox and including the output in %doc.
Comment 4 Christopher Meng 2013-05-12 12:48:20 EDT
(In reply to comment #3)
> Initial rpmlint stuff:
> 
> nsnake.x86_64: E: setuid-binary /usr/bin/nsnake root 04755L
> The file is setuid; this may be dangerous, especially if this file is setuid
> root. Sometimes file capabilities can be used instead of setuid bits.

Fixed.

> nsnake.x86_64: E: non-standard-executable-perm /usr/bin/nsnake 04755L
> A standard executable should have permission set to 0755. If you get this
> message, it means that you have a wrong executable permissions in some files
> included in your package.

Fixed.

> nsnake.x86_64: W: spurious-executable-perm /usr/share/man/man6/nsnake.6.gz
> The file is installed with executable permissions, but was identified as one
> that probably should not be executable.  Verify if the executable bits are
> desired, and remove if not.

Fixed.

> nsnake.x86_64: W: manual-page-warning /usr/share/man/man6/nsnake.6.gz 1:
> warning: macro `"' not defined
> This man page may contain problems that can cause it not to be formatted as
> intended.
> 
> nsnake.x86_64: W: manual-page-warning /usr/share/man/man6/nsnake.6.gz 5:
> warning: macro `"----------------------------------' not defined
> This man page may contain problems that can cause it not to be formatted as
> intended.
> 
> nsnake.x86_64: W: manual-page-warning /usr/share/man/man6/nsnake.6.gz 9:
> warning: macro `"--------------------------------' not defined
> This man page may contain problems that can cause it not to be formatted as
> intended.
> 
> nsnake.x86_64: W: manual-page-warning /usr/share/man/man6/nsnake.6.gz 17:
> warning: macro `"-------------------------------' not defined
> This man page may contain problems that can cause it not to be formatted as
> intended.
> 
> nsnake.x86_64: W: manual-page-warning /usr/share/man/man6/nsnake.6.gz 44:
> warning: macro `"---------------------------------' not defined
> This man page may contain problems that can cause it not to be formatted as
> intended.
> 
> nsnake.x86_64: W: manual-page-warning /usr/share/man/man6/nsnake.6.gz 63:
> warning: macro `"-----------------------------------' not defined
> This man page may contain problems that can cause it not to be formatted as
> intended.

Ignored.

> nsnake-debuginfo.x86_64: E: debuginfo-without-sources
> This debuginfo package appears to contain debug symbols but no source files.
> This is often a sign of binaries being unexpectedly stripped too early during
> the build, or being compiled without compiler debug flags (which again often
> is a sign of distro's default compiler flags ignored which might have
> security
> consequences), or other compiler flags which result in rpmbuild's debuginfo
> extraction not working as expected.  Verify that the binaries are not
> unexpectedly stripped and that the intended compiler flags are used.

Fixed.

> These should all be fixed. You should be able to patch out the strip during
> build,

Fixed.

> Also, you might
> consider running make dox and including the output in %doc.

Sounds good but I don't know if it's really necessary.

Please check if the docs directory structure is good or bad, thanks!

Spec URL: http://cicku.me/nsnake.spec
SRPM URL: http://cicku.me/nsnake-1.5-2.fc20.src.rpm
Comment 5 Jon Ciesla 2013-05-13 11:23:22 EDT
Hmm.

nsnake.src: W: invalid-url Source0: http://downloads.sourceforge.net/nsnake/nsnake-1.5.tar.gz timed out
The value should be a valid, public HTTP, HTTPS, or FTP URL.


nsnake.x86_64: W: manual-page-warning /usr/share/man/man6/nsnake.6.gz 1: warning: macro `"' not defined
This man page may contain problems that can cause it not to be formatted as
intended.

nsnake.x86_64: W: manual-page-warning /usr/share/man/man6/nsnake.6.gz 5: warning: macro `"----------------------------------' not defined
This man page may contain problems that can cause it not to be formatted as
intended.

nsnake.x86_64: W: manual-page-warning /usr/share/man/man6/nsnake.6.gz 9: warning: macro `"--------------------------------' not defined
This man page may contain problems that can cause it not to be formatted as
intended.

nsnake.x86_64: W: manual-page-warning /usr/share/man/man6/nsnake.6.gz 17: warning: macro `"-------------------------------' not defined
This man page may contain problems that can cause it not to be formatted as
intended.

nsnake.x86_64: W: manual-page-warning /usr/share/man/man6/nsnake.6.gz 44: warning: macro `"---------------------------------' not defined
This man page may contain problems that can cause it not to be formatted as
intended.

nsnake.x86_64: W: manual-page-warning /usr/share/man/man6/nsnake.6.gz 63: warning: macro `"-----------------------------------' not defined
This man page may contain problems that can cause it not to be formatted as
intended.

nsnake-debuginfo.x86_64: E: debuginfo-without-sources
This debuginfo package appears to contain debug symbols but no source files.
This is often a sign of binaries being unexpectedly stripped too early during
the build, or being compiled without compiler debug flags (which again often
is a sign of distro's default compiler flags ignored which might have security
consequences), or other compiler flags which result in rpmbuild's debuginfo
extraction not working as expected.  Verify that the binaries are not
unexpectedly stripped and that the intended compiler flags are used.
Comment 6 Christopher Meng 2013-05-13 12:08:44 EDT
Timeout problem is your problem :)

But for the empty debuginfo, what's the cause of it?
Comment 7 Jon Ciesla 2013-05-13 12:50:58 EDT
Apparently.

https://fedoraproject.org/wiki/Packaging:Debuginfo
Comment 8 Christopher Meng 2013-05-13 19:47:35 EDT
(In reply to comment #7)
> Apparently.
> 
> https://fedoraproject.org/wiki/Packaging:Debuginfo

After checking the CFLAGS I found the problem.

I've fixed it now.

Spec URL: http://cicku.me/nsnake.spec
SRPM URL: http://cicku.me/nsnake-1.5-3.fc20.src.rpm
Comment 9 Jon Ciesla 2013-05-14 07:33:14 EDT
Better.  Any particular reason you don't want to patch the man page?

! rpmlint checks return:

See above.

- package meets naming guidelines
- package meets packaging guidelines
- license ( Should be GPLv3+ ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

So at this point I think it's just the license tag and the man page.
Comment 10 Christopher Meng 2013-05-14 07:35:49 EDT
(In reply to comment #9)
> Better.  Any particular reason you don't want to patch the man page?

I will contact upstream with this error.

Later decision.
Comment 11 Christopher Meng 2013-05-14 19:58:31 EDT
(In reply to comment #9)
Upstream finally decide to release a new version.

Spec URL: http://cicku.me/nsnake.spec
SRPM URL: http://cicku.me/nsnake-1.7-1.fc20.src.rpm
Comment 12 Jon Ciesla 2013-05-15 06:49:23 EDT
nsnake.src: W: file-size-mismatch nsnake-1.7.tar.gz = 48261, http://downloads.sourceforge.net/nsnake/nsnake-1.7.tar.gz = 48256
The size of the file in the package does not match the size indicated by
peeking at its URL.  Verify that the file in the package has the intended
contents.

nsnake.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/nsnake-1.7/TODO
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

nsnake.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/nsnake-1.7/ChangeLog
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

nsnake.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/nsnake-1.7/README
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

nsnake.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/nsnake-1.7/BUGS
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

nsnake.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/nsnake-1.7/COPYING
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.


And the license tag is still GPLv3, needs to be GPLv3+
Comment 13 Christopher Meng 2013-05-15 07:32:40 EDT
(In reply to comment #12)

Hi,

the author has uploaded a newer one which contains my fixes for manpage incorrect version problem, I'm sorry that I don't know he has released fixed version...

For the dos unix problem I just solved by sed command.



Spec URL: http://cicku.me/nsnake.spec
SRPM URL: http://cicku.me/nsnake-1.7-2.fc20.src.rpm
Comment 14 Jon Ciesla 2013-05-15 09:07:41 EDT
The SRPM link is 404.
Comment 15 Christopher Meng 2013-05-15 09:41:21 EDT
(In reply to comment #14)
> The SRPM link is 404.

Hi,

my server blocks me because I've tried too many times of ssh password... :)

I'll notify you ASAP.
Comment 16 Christopher Meng 2013-05-15 09:51:18 EDT
(In reply to comment #14)
> The SRPM link is 404.

Done.

BTW, it seems that upstream has messed up his git repo and released a wrong tar with incorrect manpage.

I haven't checked the manpage itself by fedora-review.
Comment 17 Jon Ciesla 2013-05-15 10:03:05 EDT
Looks pretty good, but it would be better to modify the manpage in the spec if need be, rather than extracting and uncluding a modified manpage in Source1.  Granted this is more challenging since it's gzipped, but it can be done. :)  But this will do until upstream works it out.


APPROVED.
Comment 18 Christopher Meng 2013-05-15 10:06:20 EDT
(In reply to comment #17)
> Looks pretty good, but it would be better to modify the manpage in the spec
> if need be, rather than extracting and uncluding a modified manpage in
> Source1.  Granted this is more challenging since it's gzipped, but it can be
> done. :)  But this will do until upstream works it out.
> 
> 
> APPROVED.

Thanks.

In fact this manpage is the latest version from Github.

And I will wait upstream to fix this.
Comment 19 Christopher Meng 2013-05-15 10:09:40 EDT
New Package SCM Request
=======================
Package Name: nsnake
Short Description: Classic snake game on console
Owners: cicku
Branches: f18 f19
InitialCC:
Comment 20 Jon Ciesla 2013-05-15 10:14:07 EDT
Git done (by process-git-requests).
Comment 21 Fedora Update System 2013-05-15 10:46:00 EDT
nsnake-1.7-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nsnake-1.7-2.fc19
Comment 22 Fedora Update System 2013-05-15 10:54:49 EDT
nsnake-1.7-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nsnake-1.7-2.fc18
Comment 23 Fedora Update System 2013-05-15 22:50:25 EDT
nsnake-1.7-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 24 Fedora Update System 2013-05-24 16:34:37 EDT
nsnake-1.7-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 25 Fedora Update System 2013-05-25 08:15:58 EDT
nsnake-1.7-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.